%define LANG ko
%define version 1.1
%define release 13mdk

#####################
#
# I have no idea where to get newer pages; there is no URL and the
# email address bounced....
#
#####################

Summary: Korean(Hangul) Man Pages
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Internationalization
# from Debian, I've been unable to find the original archive
Source: manpages-ko_0.3.20010127.tar.bz2
Source1: makewhatis.%{LANG}.bz2
Icon: books-%{LANG}.xpm
Buildroot: %{_tmppath}/%{name}-root
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description
Hangul manpages maintained by Chu-yeon Park <kokids@doit.ajou.ac.kr>

%prep
%setup -n manpages-ko

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

# there aren't man pages for all sections yet
for i in 1       5 6   8; do
        cp -avrf man$i $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/
done

#find $RPM_BUILD_ROOT/%{_mandir} -type f -exec bzip2 -9f {} \;

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
        $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
        $RPM_BUILD_ROOT/%{_mandir}/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} /%{_mandir}/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /%{_mandir}/%{LANG}
   if [ ! -d /%{_mandir}/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,2755)
%dir /%{_mandir}/%{LANG}
/%{_mandir}/%{LANG}/man*
%ghost /%{_mandir}/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog
* Wed Mar 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-13mdk
- fix tmppath
- major update from debian
- fix makewhatis sp that it's works

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-12mdk
- BM

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-11mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Fri Mar 31 2000 Denis Havlik <denis@mandrakesoft.com> 1.1-10mdk
- convert to new group scheme
- convert books-ja.gif -> .xpm

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted the rpm I had made to Mandrake style

